OffsetCollection Class

class NXOpen.OffsetCollection

Bases: object

Represents a collection of NXOpen.Offset.

Iterating this collection only returns live uncondemned objects contained in the owning part of the collection. Note that NXOpen.Offset is a smart object and many smart objects are condemned as they only exist to support other objects and are not displayed. To obtain an instance of this class, refer to NXOpen.BasePart

New in version NX3.0.0.

Methods

Method Description
CreateCurvature Creates a NXOpen.Offset on a NXOpen.ICurve using a NXOpen.Scalar representing the t parameter.
CreateCurvatureDerivative Creates a NXOpen.Offset on a NXOpen.ICurve using a NXOpen.Scalar representing the t parameter.
CreateOffset Create an NXOpen.Offset without parameters.
CreateOffsetCylindrical Creates a smart cylindrical NXOpen.Offset.
CreateOffsetRectangular Create an NXOpen.Offset using X, Y and Z deltas.
CreateOffsetSpherical Creates a smart spherical NXOpen.Offset.

Method Detail

CreateCurvature

OffsetCollection.CreateCurvature

Overloaded method CreateCurvature

  • CreateCurvature(icurve, t, updateOption)
  • CreateCurvature(atPoint, icurve, updateOption)
  • CreateCurvature(face, u, v, absoluteUv, option, sectionDirection, updateOption)
  • CreateCurvature(atPoint, face, option, sectionDirection, updateOption)
  • CreateCurvature(face, u, v, absoluteUv, sectionAngle, updateOption)

-------------------------------------

Creates a NXOpen.Offset on a NXOpen.ICurve using a NXOpen.Scalar representing the t parameter. The Offset created represents curvature of the curve at parameter t.

Signature CreateCurvature(icurve, t, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Offset

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR geometric_tol (“GDT”)

-------------------------------------

Creates a NXOpen.Offset on a NXOpen.ICurve using a NXOpen.Point. The Offset created represents curvature of the curve at a point. The input point could be an extract point whose parent point is a point on curve. User can optionally supply a curve in which case it is honored instead of looking for the parent curve of the input point. In that case input point is projected on the curve to find the curvature at the projected location.

Signature CreateCurvature(atPoint, icurve, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Offset

New in version NX8.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR geometric_tol (“GDT”)

-------------------------------------

Creates a NXOpen.Offset on a NXOpen.Face using two :py:class:`NXOpen.Scalar`s representing the u and v parameters with option of direction on the face. The Offset created represents the curvature of the face at u and v parameter in a direction specified by the option.

Signature CreateCurvature(face, u, v, absoluteUv, option, sectionDirection, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Offset

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR geometric_tol (“GDT”)

-------------------------------------

Creates a NXOpen.Offset on a NXOpen.Face using a NXOpen.Point. The Offset created represents the curvature of the face at a point in a direction specified by the option. The input point could be a point on curve whose parent curve is an edge or a curve on surface feature. Or it could be an extract point whose parent point is a point on face. User can optionally supply a face in which case it is honored instead of looking for the parent face of the input point. In that case input point is projected on the face to find the curvature at the projected location.

Signature CreateCurvature(atPoint, face, option, sectionDirection, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Offset

New in version NX8.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR geometric_tol (“GDT”)

-------------------------------------

Creates a sectional NXOpen.Offset on a NXOpen.Face using two NXOpen.Scalar`s representing the u and v parameters and a :py:class:`NXOpen.Scalar representing section angle measured with respect to positive U parameter direction at u and v parameters of the face. The Offset created represents the curvature of the face at u and v parameter in the sectional direction.

Signature CreateCurvature(face, u, v, absoluteUv, sectionAngle, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Offset

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR geometric_tol (“GDT”)

-------------------------------------

CreateCurvatureDerivative

OffsetCollection.CreateCurvatureDerivative

Overloaded method CreateCurvatureDerivative

  • CreateCurvatureDerivative(icurve, t, updateOption)
  • CreateCurvatureDerivative(atPoint, icurve, updateOption)
  • CreateCurvatureDerivative(face, u, v, absoluteUv, option, sectionDirection, updateOption)
  • CreateCurvatureDerivative(atPoint, face, option, sectionDirection, updateOption)
  • CreateCurvatureDerivative(face, u, v, absoluteUv, sectionAngle, updateOption)

-------------------------------------

Creates a NXOpen.Offset on a NXOpen.ICurve using a NXOpen.Scalar representing the t parameter. The Offset created represents curvature derivative of the curve at parameter t.

Signature CreateCurvatureDerivative(icurve, t, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Offset

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR geometric_tol (“GDT”)

-------------------------------------

Creates a NXOpen.Offset on a NXOpen.ICurve using a NXOpen.Point. The Offset created represents curvature derivative of the curve at a point. The input point could be an extract point whose parent point is a point on curve. User can optionally supply a curve in which case it is honored instead of looking for the parent curve of the input point. In that case input point is projected on the curve to find the curvature derivative at the projected location.

Signature CreateCurvatureDerivative(atPoint, icurve, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Offset

New in version NX8.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR geometric_tol (“GDT”)

-------------------------------------

Creates a NXOpen.Offset on a NXOpen.Face using two :py:class:`NXOpen.Scalar`s representing the u and v parameters with option of direction on the face. The Offset created represents the curvature derivative of the face at u and v parameter in a direction specified by the option.

Signature CreateCurvatureDerivative(face, u, v, absoluteUv, option, sectionDirection, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Offset

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR geometric_tol (“GDT”)

-------------------------------------

Creates a NXOpen.Offset on a NXOpen.Face using a NXOpen.Point. The Offset created represents the curvature derivative of the face at a point in a direction specified by the option. The input point could be a point on curve whose parent curve is an edge or a curve on surface feature. Or it could be an extract point whose parent point is a point on face. User can optionally supply a face in which case it is honored instead of looking for the parent face of the input point. In that case input point is projected on the face to find the curvature derivative at the projected location.

Signature CreateCurvatureDerivative(atPoint, face, option, sectionDirection, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Offset

New in version NX8.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR geometric_tol (“GDT”)

-------------------------------------

Creates a sectional NXOpen.Offset on a NXOpen.Face using two NXOpen.Scalar`s representing the u and v parameters and a :py:class:`NXOpen.Scalar representing section angle measured with respect to positive U parameter direction at u and v parameters of the face. The Offset created represents the curvature derivative of the face at u and v parameter in the sectional direction.

Signature CreateCurvatureDerivative(face, u, v, absoluteUv, sectionAngle, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Offset

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR geometric_tol (“GDT”)

-------------------------------------

CreateOffset

OffsetCollection.CreateOffset

Overloaded method CreateOffset

  • CreateOffset(origin, vector, updateOption)
  • CreateOffset(direction, distance, updateOption)
  • CreateOffset(offsetIn, xform, updateOption)

-------------------------------------

Create an NXOpen.Offset without parameters.

Signature CreateOffset(origin, vector, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Offset

New in version NX3.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR geometric_tol (“GDT”)

-------------------------------------

Creates an NXOpen.Offset using a Smart NXOpen.Direction and distance.

Signature CreateOffset(direction, distance, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Offset

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR geometric_tol (“GDT”)

-------------------------------------

Creates a NXOpen.Offset via an extract NXOpen.Offset with optional transformation.

Signature CreateOffset(offsetIn, xform, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Offset

New in version NX3.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR geometric_tol (“GDT”)

-------------------------------------

CreateOffsetCylindrical

OffsetCollection.CreateOffsetCylindrical

Creates a smart cylindrical NXOpen.Offset.

The radius, angle, and zdelta are the three parameters of cylindrical coordinates.

Signature CreateOffsetCylindrical(radius, angle, deltaZ, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Offset

New in version NX3.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR geometric_tol (“GDT”)

CreateOffsetRectangular

OffsetCollection.CreateOffsetRectangular

Create an NXOpen.Offset using X, Y and Z deltas.

Signature CreateOffsetRectangular(deltaX, deltaY, deltaZ, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Offset

New in version NX3.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR geometric_tol (“GDT”)

CreateOffsetSpherical

OffsetCollection.CreateOffsetSpherical

Creates a smart spherical NXOpen.Offset.

The radius, angle1, and angle2 are the three parameters of spherical coordinates.

Signature CreateOffsetSpherical(radius, angle1, angle2, updateOption)

Parameters:
Returns:

Return type:

NXOpen.Offset

New in version NX3.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR drafting (“DRAFTING”) OR geometric_tol (“GDT”)